services:
  cordys-crm:
    image: 1panel/cordys-crm:v1.5.2
    container_name: ${CONTAINER_NAME}
    restart: always
    networks:
      - 1panel-network
    ports:
      - ${PANEL_APP_PORT_HTTP}:8081
      - ${PANEL_APP_PORT_MCP}:8082
    volumes:
      - ./data:/opt/cordys
    environment:
      SPRING_DATASOURCE_URL: jdbc:mysql://${CONTAINER_NAME}:3306/cordys-crm?autoReconnect=false&useUnicode=true&characterEncoding=UTF-8&characterSetResults=UTF-8&zeroDateTimeBehavior=convertToNull&allowPublicKeyRetrieval=true&useSSL=false&sessionVariables=sql_mode=%27STRICT_TRANS_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,NO_ENGINE_SUBSTITUTION%27
    labels:
      createdBy: "Apps"
networks:
  1panel-network:
    external: true
